<?php

namespace AutoAdmin\Bundle\Admin\Form\TypeGuesser;

class AdminTypeGuess
{
    private string $type;
    private array $options;

    public function __construct(string $type, array $options = [])
    {
        $this->type = $type;
        $this->options = $options;
    }

    public function getType(): string
    {
        return $this->type;
    }

    public function setType(string $type): AdminTypeGuess
    {
        $this->type = $type;

        return $this;
    }

    public function getOptions(): array
    {
        return $this->options;
    }

    public function setOptions(array $options): AdminTypeGuess
    {
        $this->options = $options;

        return $this;
    }
}
